package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.ClassGroupTeachers;
import com.ym.mec.biz.dal.entity.ClassGroup;
import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import com.ym.mec.common.dal.BaseDAO;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassGroupTeacherMapperDao extends BaseDAO<Long, ClassGroupTeacherMapper> {


    /**
     * 批量插入班级老师
     *
     * @param classGroupTeacherMapperList
     * @return
     */
    int classGroupTeachersInsert(@Param("classGroupTeacherMapperList") List<ClassGroupTeacherMapper> classGroupTeacherMapperList);

    /**
     * 查询班级老师
     *
     * @param ClassGroupList
     * @return
     */
    List<ClassGroupTeacherMapper> findClassGroupTeachers(@Param("classGroupList") List<ClassGroup> ClassGroupList);
}