package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.Organization;
import com.ym.mec.common.dal.BaseDAO;

public interface OrganizationDao extends BaseDAO<Integer, Organization> {

    /**
     * 根据父级id查询子级列表
     * @param parentId
     * @return
     */
    List<Organization> findByParentId(@Param("parentId") Integer parentId, @Param("delFlag") String delFlag);

    /**
     * 根据分部id字符串查询
     * @param organIds
     * @return
     */
    List<String> findByOrganIds(String organIds);
}