package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.StudentCourseHomeworkReply;
import com.ym.mec.common.dal.BaseDAO;

import java.util.List;

public interface StudentCourseHomeworkReplyDao extends BaseDAO<Long, StudentCourseHomeworkReply> {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/19
     * 获取对应作业下所有回复
     */
    List<StudentCourseHomeworkReply> findAllReplyByStudentCourseHomeworkID(Long studentCourseHomeworkID);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/19
     * 根据ID批量删除
     */
    int batchDeleteReplys(List<Long> ids);
	
}