package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysUserCashAccount;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

public interface SysUserCashAccountDao extends BaseDAO<Integer, SysUserCashAccount> {

    /**
     * 账户余额加
     * @param userId
     * @param amount
     * @return
     */
    int incrAccount(@Param("userId") Integer userId, @Param("amount") BigDecimal amount);
}