package com.ym.mec.biz.dal.dao;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.Teacher;
import com.ym.mec.common.dal.BaseDAO;

import org.apache.ibatis.annotations.Param;

public interface TeacherDao extends BaseDAO<Integer, Teacher> {

    /**
     * 根据证件号查询老师
     * @param certificateNum  证件号
     * @return Teacher 老师信息
     */
    Teacher findByCertificateNum(@Param("certificateNum") String certificateNum);

    /**
     * 修改用户信息
     * @param user
     */
    void updateUser(SysUser user);
}