package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.School;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SchoolService extends BaseService<Integer, School> {

    /**
     * 根据机构编号获取合作单位列表
     * @param organId
     * @return
     */
    List<School> queryByOrganId(Integer organId, YesOrNoEnum delFlag);
}