package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.StudentAttendance;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface StudentAttendanceService extends BaseService<Long, StudentAttendance> {

    /**
     * @Author: Joburgess
     * @Date: 2019/9/11
     * 批量插入学生上课签到信息
     */
    void addStudentAttendances(List<StudentAttendance> studentAttendances);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/16
     * 获取当前课程的学生
     */
    Map<String, Object> getCurrentCourseStudents(QueryInfo queryInfo);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/16
     * 获取学生个人签到信息
     */
    PageInfo getStudentPersonalAttendances(QueryInfo queryInfo);
}