package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.TeacherDefaultMusicGroupSalary;
import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface TeacherDefaultMusicGroupSalaryService extends BaseService<Long, TeacherDefaultMusicGroupSalary> {


    /**
     * 获取老师对应课程类型的课酬
     * @param userId
     * @param classGroupType
     * @return
     */
    TeacherDefaultMusicGroupSalary getTeacherSalaryByUserIdAndType(int userId,ClassGroupTypeEnum classGroupType);

    /**
     * 批量新增修改教师薪酬设置
     * @param teacherDefaultMusicGroupSalaries
     */
    void batchUpset(List<TeacherDefaultMusicGroupSalary> teacherDefaultMusicGroupSalaries);
}