package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.CooperationOrganDao;
import com.ym.mec.biz.dal.entity.CooperationOrgan;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.biz.service.CooperationOrganService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

import java.util.List;

@Service
public class CooperationOrganServiceImpl extends BaseServiceImpl<Integer, CooperationOrgan>  implements CooperationOrganService {
	
	@Autowired
	private CooperationOrganDao cooperationOrganDao;

	@Override
	public BaseDAO<Integer, CooperationOrgan> getDAO() {
		return cooperationOrganDao;
	}

	@Override
	public List<CooperationOrgan> queryByOrganId(Integer organId) {
		return cooperationOrganDao.queryByOrganId(organId);
	}
}