package com.ym.im;

import com.ym.im.fallback.ImFeignServiceFallback;
import com.ym.mec.common.config.FeignConfiguration;
import com.ym.mec.common.entity.ImUserModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "im-server", configuration = FeignConfiguration.class, fallback = ImFeignServiceFallback.class)
public interface ImFeignService {

    @PostMapping(value = "user/register")
    Object getUser(@RequestBody ImUserModel userModel);
}
