package com.ym.mec.student.controller;

import com.ym.mec.biz.dal.entity.StudentRegistration;
import com.ym.mec.biz.service.StudentRegistrationService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("register")
@Api(tags = "乐团服务")
@RestController
public class RegisterController extends BaseController {

    @Autowired
    private StudentRegistrationService studentRegistrationService;


    @ApiOperation(value = "新增学生报名信息")
    @PostMapping("/add")
    public Object add(StudentRegistration studentRegistration) {
        studentRegistrationService.insert(studentRegistration);
        return succeed();
    }
}
