package com.ym.mec.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.CooperationOrgan;
import com.ym.mec.common.dal.BaseDAO;

public interface CooperationOrganDao extends BaseDAO<Integer, CooperationOrgan> {


    /**
     * 根据机构编号获取合作单位(教学点)列表
     * @param organId
     * @return
     */
    List<CooperationOrgan> queryByOrganId(@Param("organId") Integer organId);
}