package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.common.dal.BaseDAO;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupSubjectGoodsGroupDao extends BaseDAO<Long, MusicGroupSubjectGoodsGroup> {

    /**
     * 批量保存
     * @param musicGroupSubjectGoodsGroups
     * @return
     */
    int batchInsert(@Param("mappers") List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroups);

    /**
     * 获取建团申请，声部设置已确认数据
     * @param musicGroupId
     * @param subId
     * @return
     */
    List<MusicGroupSubjectGoodsGroup> findGoodsGroup(@Param("musicGroupId") Integer musicGroupId, @Param("subId") String subId);
}