package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.School;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.dal.BaseDAO;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SchoolDao extends BaseDAO<Integer, School> {


    /**
     * 根据机构编号获取合作单位列表
     * @param organId
     * @return
     */
    List<School> queryByOrganId(@Param("organId") Integer organId, @Param("delFlag") YesOrNoEnum delFlag);
}