package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.OrderDetailTypeEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(student_payment_order_detail):
 */
public class StudentPaymentOrderDetail {

	/**  */
	private Long id;
	
	/** 类型(乐器、辅件、教材、课程) */
	@ApiModelProperty(value = "类型",required = true)
	private OrderDetailTypeEnum type;
	
	/** 商品列表(用户|分开) */
	@ApiModelProperty(value = "商品列表(用户|分开) ",required = true)
	private String goodsIdList;
	
	/** 打包价格 */
	@ApiModelProperty(value = "打包价格",required = true)
	private BigDecimal price;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 订单编号(对应student_payment_order) */
	@ApiModelProperty(value = "订单编号",required = true)
	private Long paymentOrderId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public OrderDetailTypeEnum getType() {
		return type;
	}

	public void setType(OrderDetailTypeEnum type) {
		this.type = type;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public void setGoodsIdList(String goodsIdList){
		this.goodsIdList = goodsIdList;
	}
	
	public String getGoodsIdList(){
		return this.goodsIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setPaymentOrderId(Long paymentOrderId){
		this.paymentOrderId = paymentOrderId;
	}
	
	public Long getPaymentOrderId(){
		return this.paymentOrderId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
