package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class GoodsCategoryQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "上级分类")
    private Integer parentId = 0;

    @ApiModelProperty(value = "状态（1，可见  0，不可见）")
    private YesOrNoEnum status = YesOrNoEnum.YES;

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }
}
