package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.SysMessageDao;
import com.ym.mec.biz.dal.entity.SysMessage;
import com.ym.mec.biz.service.SysMessageService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class SysMessageServiceImpl extends BaseServiceImpl<Long, SysMessage>  implements SysMessageService {
	
	@Autowired
	private SysMessageDao sysMessageDao;

	@Override
	public BaseDAO<Long, SysMessage> getDAO() {
		return sysMessageDao;
	}

	@Override
	public int findNewMessageNum(Integer id) {
		return sysMessageDao.findNewMessageNum(id);
	}
}