package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.SysUserCashAccountDetailDao;
import com.ym.mec.biz.dal.entity.SysUserCashAccountDetail;
import com.ym.mec.biz.service.SysUserCashAccountDetailService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class SysUserCashAccountDetailServiceImpl extends BaseServiceImpl<Long, SysUserCashAccountDetail>  implements SysUserCashAccountDetailService {
	
	@Autowired
	private SysUserCashAccountDetailDao sysUserCashAccountDetailDao;

	@Override
	public BaseDAO<Long, SysUserCashAccountDetail> getDAO() {
		return sysUserCashAccountDetailDao;
	}

	@Override
	public SysUserCashAccountDetail selectDetailByTransNo(String transNo) {
		return sysUserCashAccountDetailDao.selectDetailByTransNo(transNo);
	}
}